Bug 176250 - no network -- SIOCSIFFLAGS: 56(84) device or resource busy during boot
no network -- SIOCSIFFLAGS: 56(84) device or resource busy during boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 11:35 EST by Clyde E. Kunkel
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-23 10:53:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2005-12-20 11:35:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
Update from rawhide today, 20 Dec 05.
After initrd runs and during level 5 init of eth0, see msg
SIOCSIFFLAGS: 56(84) device or resource busy
repeats two times, then pings router, then fails to bring up eth0.
Booting 2.6.14-1.1773_FC5smp allows network to come up.

Version-Release number of selected component (if applicable):
kernel--2.6.14-1.1776_FC5smp

How reproducible:
Always

Steps to Reproduce:
1. Boot kernel-2.6.14-1.1776_FC5smp
2.
3.
  

Actual Results:  Network did not come up.

Expected Results:  Network should come up.

Additional info:
Comment 1 Clyde E. Kunkel 2005-12-21 10:06:31 EST
Same problem with toady's 1777 kernel.  Using acpi=off circumvents problem. 
Here is some output from failed e-net session. Haven't tried pci=routeirq. 
Also, bug 176307 is probably same issue.

Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0200
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0b00
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0303
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0f03
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0800
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c04
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0501
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0501
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0700
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0401
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c02
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c02
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c02
pnp: PnPACPI: unknown resource type 7
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0c01
pnp: PnP ACPI: found 0 devices
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
PCI: Bridge: 0000:00:01.0
  IO window: b000-bfff
  MEM window: fdf00000-fdffffff
  PREFETCH window: cff00000-efefffff
Comment 2 Clyde E. Kunkel 2005-12-23 10:53:20 EST
kernel 1783 boots without acpi=off and eth0 is properly recognized.  Closing.

Note You need to log in before you can comment on or make changes to this bug.